Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.elementformats
Class DecimalFormatPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      info.bioinfweb.treegraph.gui.dialogs.elementformats.DecimalFormatPanel

All Implemented Interfaces:
  ElementFormatTab, ImageObserver, MenuContainer, Serializable, Accessible

    public class DecimalFormatPanel

extends JPanel
implements ElementFormatTab

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`private info.webinsel.util.swing.SwingChangeMonitor` | `changeMonitor`
`private JPanel` | `examplePanel`
`static double` | `FORMAT_EXAMPLE`
`private JLabel` | `formatLabel`
`private JPanel` | `formatPanel`
`private JTextField` | `formatTextField`
`private JLabel` | `hintLabel`
`private JComboBox` | `localeComboBox`
`private JLabel` | `localeLabel`
`private JLabel` | `negativeExampleLabel`
`private JLabel` | `positiveExampleLabel`
`private JTable` | `predifinedTable`
`private static long` | `serialVersionUID`
`private JScrollPane` | `tableScrollPane`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DecimalFormatPanel()` This is the default constructor

Method Summary
`void` | `addError(List<String> list)` Adds error messages to the given list, if this tab contains any invalid user inputs.
`void` | `addOperators(List<FormatOperator> operators)`
`private DecimalFormat` | `getDecimalFormat()`
`private JPanel` | `getExamplePanel()` This method initializes examplePanel
`private JPanel` | `getFormatPanel()` This method initializes formatPanel
`private JTextField` | `getFormatTextField()` This method initializes formatTextField
`private JComboBox` | `getLocaleComboBox()` This method initializes localeComboBox
`private Locale` | `getLocaleValue()`
`private JLabel` | `getNegativeExampleLabel()`
`private JLabel` | `getPositiveExampleLabel()`
`private JTable` | `getPredifinedTable()` This method initializes predifinedTable
`private JScrollPane` | `getTableScrollPane()` This method initializes tableScrollPane
`private void` | `initialize()` This method initializes this
`void` | `resetChangeMonitors()`
`boolean` | `setValues(TreeSelection selection)` The values of the first compatible element in the selection should be set to the input components of this tab.
`String` | `title()`
`private void` | `updateExample()`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### FORMAT_EXAMPLE

    public static final double FORMAT_EXAMPLE

See Also:
  Constant Field Values

### formatPanel

    private JPanel formatPanel

### examplePanel

    private JPanel examplePanel

### formatLabel

    private JLabel formatLabel

### formatTextField

    private JTextField formatTextField

### predifinedTable

    private JTable predifinedTable

### localeComboBox

    private JComboBox localeComboBox

### localeLabel

    private JLabel localeLabel

### changeMonitor

    private info.webinsel.util.swing.SwingChangeMonitor changeMonitor

### tableScrollPane

    private JScrollPane tableScrollPane

### positiveExampleLabel

    private JLabel positiveExampleLabel

### negativeExampleLabel

    private JLabel negativeExampleLabel

### hintLabel

    private JLabel hintLabel

Constructor Detail

### DecimalFormatPanel

    public DecimalFormatPanel()

  This is the default constructor

Method Detail

### getLocaleValue

    private Locale getLocaleValue()

### getDecimalFormat

    private DecimalFormat getDecimalFormat()

### addOperators

    public void addOperators(List<FormatOperator> operators)

  Specified by:
    `addOperators` in interface `ElementFormatTab`

### addError

    public void addError(List<String> list)

  Description copied from interface: `ElementFormatTab`
  Adds error messages to the given list, if this tab contains any invalid user inputs.

  Specified by:
    `addError` in interface `ElementFormatTab`
  Parameters:
    `list` - - the list to add the messaged to

### resetChangeMonitors

    public void resetChangeMonitors()

  Specified by:
    `resetChangeMonitors` in interface `ElementFormatTab`

### setValues

    public boolean setValues(TreeSelection selection)

  Description copied from interface: `ElementFormatTab`
  The values of the first compatible element in the selection should be set to the input components of this tab.

  Specified by:
    `setValues` in interface `ElementFormatTab`
  Parameters:
    `selection` - - the currently selected tree elements
  Returns:
    `false` if no compatible element was selected

### title

    public String title()

  Specified by:
    `title` in interface `ElementFormatTab`

### updateExample

    private void updateExample()

### initialize

    private void initialize()

  This method initializes this

### getFormatPanel

    private JPanel getFormatPanel()

  This method initializes formatPanel

  Returns:
    javax.swing.JPanel

### getExamplePanel

    private JPanel getExamplePanel()

  This method initializes examplePanel

  Returns:
    javax.swing.JPanel

### getPositiveExampleLabel

    private JLabel getPositiveExampleLabel()

### getNegativeExampleLabel

    private JLabel getNegativeExampleLabel()

### getFormatTextField

    private JTextField getFormatTextField()

  This method initializes formatTextField

  Returns:
    javax.swing.JTextField

### getPredifinedTable

    private JTable getPredifinedTable()

  This method initializes predifinedTable

  Returns:
    javax.swing.JTable

### getLocaleComboBox

    private JComboBox getLocaleComboBox()

  This method initializes localeComboBox

  Returns:
    javax.swing.JComboBox

### getTableScrollPane

    private JScrollPane getTableScrollPane()

  This method initializes tableScrollPane

  Returns:
    javax.swing.JScrollPane

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD